/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KWPROFILE_H
#define KWPROFILE_H

#include <qstring.h>
#include <qstringlist.h>
#include <kconfig.h>

/**
@author Peter Hess
*/
class kwProfile{
public:
	QString name;
	QString essid;
	QString nwid;
	QString nickname;
	QString mode;
	QString bitrate;
	int sensity;
	int frequency;
	QString accesspoint;
	bool security;
	QStringList *secKeys;
	KConfig *ksConfig;


	kwProfile();
	kwProfile(KConfig *kc);
	void readProfile();
	void writeProfile();

    ~kwProfile();

};

#endif
